var pvPages = [
  {
    name:"Home",
    src:"home/home.html",
    onload:function()
    {
    },
    scenarios:[
      function(withObj){with(withObj){
      }}
    ]
  },
  {
    name:"About",
    src:"home/about.html",
    onload:function()
    {
    },
    scenarios:[
      function(withObj){with(withObj){
      }}
    ]
  },
  {
    name:"TroubleShooting",
    src:"TroubleShooting/ts.html",
    onload:function()
    {
    },
    scenarios:[
      function(withObj){with(withObj){
      }}
    ]
  },
  {
    name:"CheckactiveX",
    src:"home/checkActiveX.html",
    onload:function()
    {
      this.contentWindow.detectDLDP = function(){};
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj){
      }}
    ]
  },
  {
    name:"InstallactiveX",
    src:"home/notice.html",
    onload:function()
    {
      this.contentWindow.install_activeX = function(){};
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj){
        $("#redbox_all_cd").css("display", "none");
      }},
      function(withObj){with(withObj){
        $("#redbox_all_cd").css("display", "block");
      }}
    ]
  },
  {
    name:"activeX_TS",
    src:"home/activex_ts.html",
    onload:function()
    {
      //this.contentWindow.install_activeX = function(){};
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj)
      {
        with(withObj)hide_lightbox();
      },
      function(withObj)
      {
        with(withObj)show_lightbox("popup1");
      }
    ]
  },
  {
    name:"checkLanPort",
    src:"home/checkLanPort.html",
    onload:function()
    {
      this.contentWindow.CheckLanPort = function(){};
      this.contentWindow.go_next = function(){};
      pvModeS(0);
    },
    scenarios:[
      function(withObj){with(withObj){
        progressC.setComplete();
      }}
    ]
  },
  {
    name:"ErrorConnection",
    src:"home/error_connection.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj){
      }}
    ]
  },
  {
    name:"install_wps",
    src:"install/router_wps.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj){
      }}
    ]
  },
//   {
//     name:"install1",
//     src:"install/install_cam_1-1.html",
//     onload:function()
//     {
//       this.contentWindow.go_next = function(){};
//     },
//     scenarios:[
//       function(withObj){with(withObj){
//       }}
//     ]
//   },
  {
    name:"install2",
    src:"install/install_cam_1-2.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj)
      {
      }}
    ]
  },
  {
    name:"install4",
    src:"install/install_cam_1-4.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj)
      {
        show_content("content_router");
      }},
      function(withObj){with(withObj)
      {
        show_content("content_modem");
        hide_lightbox();
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("lightbox_router");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("lightbox_modem");
      }}
    ]
  },
  {
    name:"install3",
    src:"install/install_cam_1-3.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj)
      {
        hide_lightbox();
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("lightbox1");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("lightbox2");
      }}
    ]
  },
  {
    name:"install5",
    src:"install/wps_cam_1-5.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj)
      {
        hide_lightbox();
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("lightbox1");
        $('#iframe_wps_btn').attr('src', 'wps_btn.html');
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("lightbox2");
      }}
    ]
  },
  {
    name:"WPS_ts",
    src:"install/WPS_ts.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
    },
    scenarios:[
      function(withObj){with(withObj)
      {
      }}
    ]
  },
  {
    name:"SEARCH",
    src:"settings/select_cam_1.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
      //this.contentWindow.search = function(){};
    },
    scenarios:[
      function(withObj){with(withObj)
      {
        ds.waiting_loop = function(){};
        ds.Complete = function(){};
        show_lightbox("LB_LED_Check");
      }},
      function(withObj){with(withObj)
      {
        hide_lightbox();
        show_waiting();
      }},
      function(withObj){with(withObj)
      {
        search();
        dev_searched = [""];
        setTimeout("ds.Complete()", 10);
      }},
      function(withObj){with(withObj)
      {
        $("#search_result").attr("src", "select_cam_1-iframe_no_cam.html");
      }},
      function(withObj){with(withObj)
      {
        $("#search_result").attr("src", "select_cam_1-iframe_no_cam_wps.html");
        hide_lightbox();
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("LB_What_Is_Configured");
      }}
    ]
  },
  {
    name:"PWD",
    src:"settings/pwd_2.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
      this.contentWindow.setClass2 = function(){};
      pvModeS(0);
    },
    scenarios:[
      function(withObj){with(withObj)
      {
        show_waiting(ml.get_word("pwd_15"));
      }},
      function(withObj){with(withObj)
      {
        hide_waiting();

        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("pwd_16"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("pwd_17"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#passwd_new_error1").css("display", "block");
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#passwd_new_error2").css("display", "block");
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#passwd_new_error3").css("display", "block");
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#passwd_new_error4").css("display", "block");
      }}
    ]
  },
  {
    name:"PWD_CONFIRM",
    src:"settings/pwd_2_confirm.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
      this.contentWindow.getClass2 = function(){};
      this.contentWindow.setClass2 = function(){};
      pvModeS(0);
    },
    scenarios:[
      function(withObj){with(withObj)
      {
        ds.waiting_loop = function(){};
        show_waiting(ml.get_word("pwd_confirm_19"));
      }},
      function(withObj){with(withObj)
      {
        show_waiting(ml.get_word("pwd_confirm_20"));
      }},
      function(withObj){with(withObj)
      {
        hide_waiting();

        document.getElementById('reset_passwd').style.display = "block";
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("pwd_confirm_21"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("pwd_confirm_22"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#pwd_confirm_8").css("display", "block");
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#passwd_new_error1").css("display", "block");
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#passwd_new_error2").css("display", "block");
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#passwd_new_error3").css("display", "block");
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        $("#passwd_new_error4").css("display", "block");
        
        hide_lightbox();
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup2");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup_loading_retry");
      }}


    ]
  },
  {
    name:"WAN",
    src:"settings/wan_3.html",
    onload:function()
    {
      this.contentWindow.getClass3 = function(){};
      this.contentWindow.go_next = function(){};
      pvModeS(0);
    },
    scenarios:[
      function(withObj){with(withObj)
      {
          ds.waiting_loop = function(){};
          show_waiting(ml.get_word("wan_39"));
      }},
      function(withObj){with(withObj)
      {
        show_waiting(ml.get_word("wan_42")+"("+(ds._RestartTimeCountMax - ds._RestartTimeCount)+" sec)");
      }},
      function(withObj){with(withObj)
      {
          show_waiting(ml.get_word("wan_43"));
      }},
      function(withObj){with(withObj)
      {
          show_waiting(ml.get_word("wan_44"));
      }},
      function(withObj){with(withObj)
      {
        hide_waiting();
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("wan_40"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("wan_41"));
      }},
      // WAN seetign form for PPPoE
      function(withObj){with(withObj)
      {
        $(".error").each(function(){$(this).css("display", "inline");});
          show_win("pppoe");

        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("wan_38-1"));
        show_err(ml.get_word("wan_38-2"));
      }},
      // WAN seetign form for static ip
      function(withObj){with(withObj)
      {
          show_win("static_ip");
        $(".error_box").css("display", "none");
        $(".error").css("display", "inline");
        show_err(ml.get_word("wan_33"));
        $(".error").each(function(){$(this).css("display", "inline");});
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("wan_34"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("wan_35"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("wan_36"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("wan_37"));
        
        hide_lightbox();
      }},
      // lightbox_loading_failed
      function(withObj){with(withObj)
      {
        show_lightbox("popup_loading_retry");
      }},
      // lightbox_saving_failed
      function(withObj){with(withObj)
      {
        show_lightbox("popup_update_daemon_retry");
      }}



    ]
  },
  {
    name:"WIRELESS",
    src:"settings/lan_4.html",
    onload:function()
    {
      this.contentWindow.getClass3 = function(){};
      this.contentWindow.go_next = function(){};
      pvModeS(0);
    },
    scenarios:[
      function(withObj){with(withObj)
      {
        ds.waiting_loop = function(){};
        show_waiting(ml.get_word("lan_30"));
      }},
      function(withObj){with(withObj)
      {
        ds.waiting_loop = function(){};
        show_waiting(ml.get_word("lan_33"));
      }},      
      function(withObj){with(withObj)
      {
        show_waiting(ml.get_word("lan_33")+"("+(this._RestartTimeCountMax - this._RestartTimeCount)+" sec)");
      }},
      function(withObj){with(withObj)
      {
        show_waiting(ml.get_word("lan_34"));
      }},
      function(withObj){with(withObj)
      {
          show_waiting(ml.get_word("wan_44"));
      }},
      function(withObj){with(withObj)
      {
        hide_waiting();
        $("#wireless").css("display", "block");
        $(".error_box").css("display", "block");
        $(".error").css("display", "inline");
        show_err(ml.get_word("lan_29"));
        $("#tr_ssid, #tr_mode, #tr_channel, #tr_authmode, #tr_encryption, #tr_key, #tr_key_r, #tr_signal").css("display", "block");
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("lan_31"));
      }},
      function(withObj){with(withObj)
      {
        $(".error_box").css("display", "none");
        $(".error").css("display", "none");
        show_err(ml.get_word("lan_32"));
        hide_lightbox();
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("LB_Unplug_Cable");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup1");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup_update_daemon_retry");
      }}



    ]
  },
  {
    name:"UCP",
    src:"settings/dlife.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
      pvModeS(0);
    },
    scenarios:[
      function(withObj){with(withObj)
      {
          show_waiting(ml.get_word("dlife_30"));
      }},
      function(withObj){with(withObj)
      {
          show_waiting(ml.get_word("dlife_31"));
      }},
      function(withObj){with(withObj)
      {
          show_waiting(ml.get_word("dlife_32"));
      }},
      function(withObj){with(withObj)
      {
        hide_waiting();
        show_win("win_with_dlife");
        $(".error_box").css("display", "block");
        $(".error").css("display", "inline");
      }},
      function(withObj){with(withObj)
      {
        show_win("win_without_dlife");
        $(".error_box").css("display", "block");
        $(".error").css("display", "inline");
        hide_lightbox();
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("LB_WHATS_DLIFE");
        $('#iframe_whats_dlife').attr('src', 'whats_dlife.html');
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup_stuck_signup");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup_stuck_signin");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup_stuck_add_device");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup_email_verification");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup1");
      }}



    ]
  },  {
    name:"SUMMARY",
    src:"settings/summary_5.html",
    onload:function()
    {
      this.contentWindow.go_next = function(){};
      this.contentWindow.setClass2 = function(){};
      this.contentWindow.getClass3 = function(){};
      pvModeS(0);
    },
    scenarios:[
      function(withObj){with(withObj)
      {
        ds.waiting_loop = function(){};
        show_waiting(ml.get_word("summary_18"));
      }},
      function(withObj){with(withObj)
      {
        show_waiting(ml.get_word("summary_20"));
      }},
      function(withObj){with(withObj)
      {
        show_waiting(ml.get_word("summary_26"));
        $("#dcscontrol1").css("display", "none");
      }},
      function(withObj){with(withObj)
      {
        hide_waiting();

        $("#dcscontrol1").css("display", "block");
        $("#dcscontrol1").attr("width", 320);
        $("#dcscontrol1").attr("height", 240);
        
        remote_span_html+='<br /><a href="#" onClick="show_lightbox(\'LB_How_To_Enable_Remote_Access\');$(\'object\').hide()">'+ml.get_word("summary_58")+'</a>';
        $("#remote_span").html(remote_span_html);

        dlife_no = "88888888";
  
        var HTML_Mydlink_No_Span = "";
        $("#mydlink_no_span").html( ml.get_word("summary_80")+': <span class="w_blueb12">'+dlife_no+'</span> <span id="mydlink_no_help_span" style="display:inline"><a href="#" onClick="show_lightbox(\'LB_MYDLINK_NO\');$(\'object\').hide();"><img src="../images/help.gif" /></a></span><br />');


        // S3.2.2
     	  $("#description").html(ml.get_word("summary_33"));
     	  $("#mydlink_no_span").show();
     	  $("#mydlink_no_help_span").hide();
        $("#DIV_ADV_SETTING").css("display", "block");
        $("#mydlink_button_span").css("display", "block");


      }},
      function(withObj){with(withObj)
      {
           	  // S3.2.1
           	  $("#description").html(ml.get_word("summary_34"));
           	  $("#mydlink_no_span").show();
           	  $("#mydlink_no_help_span").hide();
              $("#DIV_ADV_SETTING").css("display", "block");
              $("#mydlink_button_span").css("display", "block");

      }},
      function(withObj){with(withObj)
      {
              // S1.1.1
           	  $("#description").html(ml.get_word("summary_35"));
           	  $("#mydlink_no_span").show();
           	  $("#mydlink_no_help_span").hide();
              $("#DIV_ADV_SETTING").css("display", "block");
              $("#mydlink_button_span").css("display", "block");

      }},
      function(withObj){with(withObj)
      {
       	    // S1.2.1
         	  $("#description").html(ml.get_word("summary_36"));
         	  $("#mydlink_no_span").show();
         	  $("#mydlink_no_help_span").show();
            $("#DIV_ADV_SETTING").css("display", "none");
            $("#mydlink_button_span").css("display", "none");

      }},
      function(withObj){with(withObj)
      {
           	  // S1.2.2
           	  $("#description").html(ml.get_word("summary_37"));
           	  $("#mydlink_no_span").show();
           	  $("#mydlink_no_help_span").show();
              $("#DIV_ADV_SETTING").css("display", "none");
              $("#mydlink_button_span").css("display", "none");

      }},
      function(withObj){with(withObj)
      {
              // S1.1.2
           	  $("#description").html(ml.get_word("summary_38"));
           	  $("#mydlink_no_span").show();
           	  $("#mydlink_no_help_span").show();
              $("#DIV_ADV_SETTING").css("display", "none");
              $("#mydlink_button_span").css("display", "none");

      }},
      function(withObj){with(withObj)
      {
          // S2.1.1
          $("#description").html(ml.get_word("summary_39"));
       	  $("#mydlink_no_span").hide();
       	  $("#mydlink_no_help_span").hide();
          $("#DIV_ADV_SETTING").css("display", "none");
          $("#mydlink_button_span").css("display", "none");

      }},
      function(withObj){with(withObj)
      {
          // S2.1.2
          $("#description").html(ml.get_word("summary_40"));
       	  $("#mydlink_no_span").hide();
       	  $("#mydlink_no_help_span").hide();
          $("#DIV_ADV_SETTING").css("display", "none");
          $("#mydlink_button_span").css("display", "none");

        hide_lightbox();
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("LB_MYDLINK_NO");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("LB_What_Is_Remote_Access");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("LB_How_To_Enable_Remote_Access");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup1");
      }},
      function(withObj){with(withObj)
      {
        show_lightbox("popup_loading_retry");
      }}


    ]
  }


];